Skip to main content
GET
/
v1
/
prepaid-balance
/
transactions
List transactions on your account
curl --request GET \
  --url https://api.bondio.co/v1/prepaid-balance/transactions \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "amount": 123,
      "category": "<string>",
      "currency": "<string>",
      "createdAt": 123,
      "description": "<string>"
    }
  ],
  "nextPage": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

category
string

category of the transaction - purchase, consumption, topup, etc.

type
string

transaction type - credit or debit

pageSize
string
page
string

Response

200 - application/json
items
BalanceTransaction · object[]
required
nextPage
string | null
required